/* fat32.c */
extern UBYTE *GetDir(const DEVICE *dev);
extern UBYTE FAT32GetStatus(const DEVICE *dev);
extern UBYTE *FAT32VolumeLabel(const DEVICE *dev);
extern ULONG FAT32PartitionSize(const DEVICE *dev);
extern UBYTE MountFAT32(const DEVICE *dev);
extern UBYTE MountFAT32Filesystem(const DEVICE *dev, FAT32ERROR *error);
extern UBYTE ChangeDir(const DEVICE *dev, BYTE *path);
extern UBYTE FAT32LoadFile(const DEVICE *dev, BYTE *path, UWORD *mem);
extern UBYTE load_file(ULONG start_cluster, UWORD *mem);
extern UBYTE NextDirRecord(const DEVICE *dev, DIR_ENTRY *dir_entry);
extern UBYTE *DirEntryAttrib(const DEVICE *dev, DIR_ENTRY *dir_entry);
extern UBYTE *DirEntryAlias(const DEVICE *dev, DIR_ENTRY *dir_entry);
extern ULONG DirEntryFilesize(const DEVICE *dev, DIR_ENTRY *dir_entry);
extern UBYTE *DirEntryLongfilename(const DEVICE *dev, DIR_ENTRY *dir_entry);
extern FILE_DESCRIPTOR *FileOpen(const DEVICE *dev, BYTE *filename, FILE_DESCRIPTOR *file, UBYTE mode);
extern UWORD FileGetChar(const DEVICE *dev, FILE_DESCRIPTOR *file);
extern ULONG FileGetSectors(const DEVICE *dev, FILE_DESCRIPTOR *file, UWORD *mem, ULONG nsectors);
extern ULONG FilePutSector(const DEVICE *dev, FILE_DESCRIPTOR *file, UWORD *mem);
extern UBYTE FileLoad(const DEVICE *dev, FILE_DESCRIPTOR *file, UWORD *mem);
extern UBYTE FileRewind(FILE_DESCRIPTOR *file);
extern ULONG FileSeekSector(const DEVICE *dev, FILE_DESCRIPTOR *file, ULONG sector_offset);
extern ULONG FileCurrentSector(const DEVICE *dev, FILE_DESCRIPTOR *file);
extern UBYTE FileClose(FILE_DESCRIPTOR *file);
extern ULONG GetFileSize(FILE_DESCRIPTOR *file);
extern BYTE FAT32LockoutStatus(void);
extern ULONG GetRealFileSizeLoaded(void);
