/*-------------------------------------------------------------------
Name......... haf.h
Author....... Mark Perkins
Date......... 23/09/03
Description.. Header file for the heber animation format file.
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/
#ifndef INTERFACE_HAF
#define INTERFACE_HAF

typedef struct
{
	FILE_DESCRIPTOR file;
	ULONG	imageheight;
	ULONG	imagewidth;
	ULONG	sectorsperimage;
	ULONG	numberofimages;
} HAFFILEINFO;


/****	Prototypes */
	#include	"haf.p"

#endif
/*************************************************************************/
