/* coin.c */
extern UWORD GetCoinCount(const DEVICE *dev, UBYTE coin);
extern UBYTE GetCoinEvents(const DEVICE *dev);
extern UBYTE GetCoinErrors(const DEVICE *dev);
extern void ResetCoinDevice(const DEVICE *dev);
extern void SetCoinPollingRate(const DEVICE *dev, UWORD pollingrate);
extern UWORD GetCoinStatus(const DEVICE *dev);
extern void EnableCoinProcessing(const DEVICE *dev);
extern void DisableCoinProcessing(const DEVICE *dev);
extern void SubtractFromCoinCounts(const DEVICE *dev, UBYTE coin);
extern BYTE AddToCoinCounts(const DEVICE *dev, UBYTE coin);
extern void PerformCoinSelfTest(const DEVICE *dev);
extern UBYTE IsCoinEnabled(const DEVICE *dev, UBYTE coin);
extern UWORD GetAllEnabledCoins(const DEVICE *dev);
extern UBYTE GetSorterOverride(const DEVICE *dev);
extern void SetSorterOverride(const DEVICE *dev, UBYTE override);
extern void GetSorterPaths(const DEVICE *dev, UBYTE coinposition, ULONG *paths);
extern void SetSorterPaths(const DEVICE *dev, UBYTE coinposition, ULONG paths);
extern void EnableCoin(const DEVICE *dev, UBYTE coin);
extern void DisableCoin(const DEVICE *dev, UBYTE coin);
extern void EnableAllCoins(const DEVICE *dev);
extern void DisableAllCoins(const DEVICE *dev);
