/* streamsnd.c */
static BYTE VerifyFileData(UBYTE *buffer, ULONG *offset, UBYTE *data, UBYTE dataLength);
static ULONG GetFileNumber(UBYTE *buffer, ULONG *offset, ULONG numBytes);
static void ZeroDMABuffer(UBYTE dmaChannel);
static void FillDMASample(UBYTE dmaChannel, UBYTE channel, WORD *buffer, ULONG bufferUsed);
static void FillDMABuffer(UBYTE dmaChannel);
static void ProcessAudioChannel(UBYTE Channel, UBYTE dmaChannel);
static BYTE ProcessWavHeader(UBYTE channel);
static void UlawDecompress(UBYTE *srcb, WORD *dstw, ULONG nsamples);
static void AlawDecompress(UBYTE *srcb, WORD *dstw, ULONG nsamples);
static void UnsignedByte2SignedWord(UBYTE *srcb, WORD *dstw, ULONG nsamples);
static void ByteSwap(UWORD *srcw, UWORD *dstw, ULONG nsamples);
static void ResetAudioFile(UBYTE channel);
static LONG LoadAudioData(UBYTE channel, WORD *buffer, ULONG wordsToRead, UBYTE compressed);
static void ClearAudioChannel(UBYTE audioChannel);
static void SFX10msInterruptRoutine(void);
static void DMA2InterruptRoutine(void);
